function love.load()
	smoothness = 10
	iterations = 9
	points = {0,0}
	math.randomseed(os.time())
end

function love.draw()
	love.graphics.print("smoothness = "..smoothness ,10,10)
	for i = 1, #points - 1 do
		love.graphics.line(i, math.floor(points[i]+0.5)+250, i+1, math.floor(points[i+1]+0.5)+250)
	end
end

function love.keypressed(key)
	if key == "down" and smoothness > 1 then
		smoothness = smoothness - 1
		run()
	elseif key == "up" then
		smoothness = smoothness + 1
		run()
	end
end
		
function run()
	beginratio = math.floor((9^2-1)/(smoothness / 10))
	points = {0,0}
	for i = 1, iterations do
		routine()
		beginratio = beginratio/2
	end
end

function routine()
	add = 0
	for point = 1, #points do
		point = point+add
		if point >= #points then return end
		point1 = points[point]
		point2 = points[point+1]
		point3 = (point1+point2)/2+math.random(-beginratio,beginratio)
		table.insert(points, point+1, point3)
		add = add+1
	end
end